
--# XColors program built with Glade

include GtkEngine.e

add(builder,canonical_path("~/demos/glade/colors.glade"))

constant xcolors = canonical_path("~/demos/resources/xcolors.txt")

TreeView tv = pointer("treeview1")
ListStore st = pointer("liststore1")

sequence names = read_lines(xcolors)
set(st,"data",names)

main()


